Package ietf.params.xml.ns.icalendar_2

# Class CalAddressPropertyType

java.lang.Object
ietf.params.xml.ns.icalendar_2.BasePropertyType
ietf.params.xml.ns.icalendar_2.CalAddressPropertyType

Direct Known Subclasses:
  `AttendeePropType`, `OrganizerPropType`, `VoterPropType`

public class CalAddressPropertyType extends BasePropertyType

Java class for CalAddressPropertyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CalAddressPropertyType">
       <complexContent>
         <extension base="{urn:ietf:params:xml:ns:icalendar-2.0}BasePropertyType">
           <sequence>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}cal-address"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `calAddress`

  ### Fields inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `parameters`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalAddressPropertyType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCalAddress()`
  Gets the value of the calAddress property.
  `void`
  `setCalAddress(String value)`
  Sets the value of the calAddress property.

  ### Methods inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `getParameters, setParameters`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### calAddress

    protected String calAddress

- ## Constructor Details

  - ### CalAddressPropertyType

    public CalAddressPropertyType()

- ## Method Details

  - ### getCalAddress

    public String getCalAddress()
    Gets the value of the calAddress property.
    Returns:
      possible object is `String`

  - ### setCalAddress

    public void setCalAddress(String value)
    Sets the value of the calAddress property.
    Parameters:
      `value` - allowed object is `String`